## acpica-unix 20180105

=== generate/unix/acpidump/Makefile ===
#
# acpidump - ACPI table dump utility (binary to ascii hex)
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpidump
PROG = $(OBJDIR)/acpidump

#
# Search paths for source files
#
vpath %.c \
    $(ACPIDUMP)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIDUMP)/*.h)

OBJECTS = \
	$(OBJDIR)/apdump.o\
	$(OBJDIR)/apfiles.o\
	$(OBJDIR)/apmain.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/osunixdir.o\
	$(OBJDIR)/osunixmap.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/utxferror.o

#
# Per-host interfaces
#
ifeq ($(HOST), _DragonFly)
HOST_FAMILY = BSD
endif

ifeq ($(HOST), _FreeBSD)
HOST_FAMILY = BSD
endif

ifeq ($(HOST), _NetBSD)
HOST_FAMILY = BSD
endif

ifeq ($(HOST), _QNX)
HOST_FAMILY = BSD
endif

ifeq ($(HOST_FAMILY), BSD)
OBJECTS += \
	$(OBJDIR)/osbsdtbl.o
else
OBJECTS += \
	$(OBJDIR)/oslinuxtbl.o
endif

#
# Flags specific to acpidump
#
CFLAGS += \
    -DACPI_DUMP_APP\
    -I$(ACPIDUMP)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpiexamples/Makefile ===
#
# acpiexamples - Example ACPICA initialization code and control
# method execution.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpiexamples
PROG = $(OBJDIR)/acpiexamples

#
# Search paths for source files
#
vpath %.c \
    $(ACPIEXAMPLES)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EVENTS)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_HARDWARE)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIEXAMPLES)/*.h)

OBJECTS = \
	$(OBJDIR)/examples.o\
	$(OBJDIR)/exstubs.o\
	$(OBJDIR)/extables.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsdebug.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsinit.o\
	$(OBJDIR)/dsmethod.o\
	$(OBJDIR)/dsmthdat.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/evhandler.o\
	$(OBJDIR)/evmisc.o\
	$(OBJDIR)/evregion.o\
	$(OBJDIR)/evrgnini.o\
	$(OBJDIR)/evxface.o\
	$(OBJDIR)/evxfregn.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconfig.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdebug.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exfield.o\
	$(OBJDIR)/exfldio.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/extrace.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/hwpci.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsarguments.o\
	$(OBJDIR)/nsconvert.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nseval.o\
	$(OBJDIR)/nsinit.o\
	$(OBJDIR)/nsload.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nspredef.o\
	$(OBJDIR)/nsprepkg.o\
	$(OBJDIR)/nsrepair.o\
	$(OBJDIR)/nsrepair2.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfeval.o\
	$(OBJDIR)/nsxfname.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/psxface.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbfind.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/uteval.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utids.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utosi.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/utxfinit.o

#
# Flags specific to acpinames utility
#
CFLAGS += \
    -DACPI_EXAMPLE_APP\
    -I$(ACPIEXAMPLES)

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/acpiexec/Makefile ===
#
# acpiexec: ACPI execution simulator. Runs ACPICA code in user
# space. Loads ACPI tables, displays the namespace, and allows
# execution of control methods.
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/acpiexec
PROG = $(OBJDIR)/acpiexec

#
# Search paths for source files
#
vpath %.c \
    $(ACPIEXEC)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EVENTS)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_HARDWARE)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_RESOURCES)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ACPIEXEC)/*.h)

OBJECTS = \
	$(OBJDIR)/acgetline.o\
	$(OBJDIR)/acfileio.o\
	$(OBJDIR)/aeexec.o\
	$(OBJDIR)/aeexception.o\
	$(OBJDIR)/aehandlers.o\
	$(OBJDIR)/aeinitfile.o\
	$(OBJDIR)/aeinstall.o\
	$(OBJDIR)/aemain.o\
	$(OBJDIR)/aeregion.o\
	$(OBJDIR)/aetables.o\
	$(OBJDIR)/aetests.o\
	$(OBJDIR)/ahids.o\
	$(OBJDIR)/ahuuids.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/dbcmds.o\
	$(OBJDIR)/dbconvert.o\
	$(OBJDIR)/dbdisply.o\
	$(OBJDIR)/dbexec.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dbhistry.o\
	$(OBJDIR)/dbinput.o\
	$(OBJDIR)/dbmethod.o\
	$(OBJDIR)/dbnames.o\
	$(OBJDIR)/dbobject.o\
	$(OBJDIR)/dbstats.o\
	$(OBJDIR)/dbtest.o\
	$(OBJDIR)/dbutils.o\
	$(OBJDIR)/dbxface.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmcstyle.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsdebug.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsinit.o\
	$(OBJDIR)/dsmethod.o\
	$(OBJDIR)/dsmthdat.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/evevent.o\
	$(OBJDIR)/evglock.o\
	$(OBJDIR)/evgpe.o\
	$(OBJDIR)/evgpeblk.o\
	$(OBJDIR)/evgpeinit.o\
	$(OBJDIR)/evgpeutil.o\
	$(OBJDIR)/evhandler.o\
	$(OBJDIR)/evmisc.o\
	$(OBJDIR)/evregion.o\
	$(OBJDIR)/evrgnini.o\
	$(OBJDIR)/evsci.o\
	$(OBJDIR)/evxface.o\
	$(OBJDIR)/evxfevnt.o\
	$(OBJDIR)/evxfgpe.o\
	$(OBJDIR)/evxfregn.o\
	$(OBJDIR)/exconfig.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdebug.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exfield.o\
	$(OBJDIR)/exfldio.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/extrace.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/hwacpi.o\
	$(OBJDIR)/hwesleep.o\
	$(OBJDIR)/hwgpe.o\
	$(OBJDIR)/hwpci.o\
	$(OBJDIR)/hwregs.o\
	$(OBJDIR)/hwsleep.o\
	$(OBJDIR)/hwtimer.o\
	$(OBJDIR)/hwvalid.o\
	$(OBJDIR)/hwxface.o\
	$(OBJDIR)/hwxfsleep.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsarguments.o\
	$(OBJDIR)/nsconvert.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsdumpdv.o\
	$(OBJDIR)/nseval.o\
	$(OBJDIR)/nsinit.o\
	$(OBJDIR)/nsload.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nspredef.o\
	$(OBJDIR)/nsprepkg.o\
	$(OBJDIR)/nsrepair.o\
	$(OBJDIR)/nsrepair2.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfeval.o\
	$(OBJDIR)/nsxfname.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osgendbg.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/psxface.o\
	$(OBJDIR)/rsaddr.o\
	$(OBJDIR)/rscalc.o\
	$(OBJDIR)/rscreate.o\
	$(OBJDIR)/rsdump.o\
	$(OBJDIR)/rsdumpinfo.o\
	$(OBJDIR)/rsinfo.o\
	$(OBJDIR)/rsio.o\
	$(OBJDIR)/rsirq.o\
	$(OBJDIR)/rslist.o\
	$(OBJDIR)/rsmemory.o\
	$(OBJDIR)/rsmisc.o\
	$(OBJDIR)/rsserial.o\
	$(OBJDIR)/rsutils.o\
	$(OBJDIR)/rsxface.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbfind.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/tbxfroot.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/uteval.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utids.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utosi.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresdecode.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/uttrack.o\
	$(OBJDIR)/utuuid.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o\
	$(OBJDIR)/utxfinit.o\
	$(OBJDIR)/utxfmutex.o

#
# Flags specific to acpiexec utility
#
CFLAGS += \
    -DACPI_EXEC_APP\
    -I$(ACPIEXEC)

ifeq ($(ASLTS),TRUE)
CFLAGS += \
    -DACPI_CHECKSUM_ABORT=TRUE
endif

ifneq ($(HOST),_QNX)
LDFLAGS += -lpthread
endif

ifneq ($(HOST),_APPLE)
ifneq ($(HOST),_QNX)
LDFLAGS += -lrt
endif
endif

#
# Common Rules
#
include ../Makefile.rules

=== generate/unix/iasl/Makefile ===
#
# iASL compiler/disassembler
#

#
# Note: This makefile is intended to be used from within the native
# ACPICA directory structure, from under generate/unix. It specifically
# places all object files in a generate/unix subdirectory, not within
# the various ACPICA source directories. This prevents collisions
# between different compilations of the same source file with different
# compile options, and prevents pollution of the source code.
#
include ../Makefile.config
FINAL_PROG = ../$(BINDIR)/iasl
PROG = $(OBJDIR)/iasl

#
# Search paths for source files
#
vpath %.c \
    $(ASL_COMPILER)\
    $(ACPICA_DEBUGGER)\
    $(ACPICA_DISASSEMBLER)\
    $(ACPICA_DISPATCHER)\
    $(ACPICA_EXECUTER)\
    $(ACPICA_NAMESPACE)\
    $(ACPICA_PARSER)\
    $(ACPICA_TABLES)\
    $(ACPICA_UTILITIES)\
    $(ACPICA_COMMON)\
    $(ACPICA_OSL)

HEADERS = \
    $(wildcard $(ASL_COMPILER)/*.h)\
    $(OBJDIR)/aslcompiler.y.h\
    $(OBJDIR)/dtparser.y.h\
    $(OBJDIR)/prparser.y.h

OBJECTS = \
	$(OBJDIR)/aslcompilerlex.o\
	$(OBJDIR)/aslcompilerparse.o\
	$(OBJDIR)/dtparserlex.o\
	$(OBJDIR)/dtparserparse.o\
	$(OBJDIR)/prparserlex.o\
	$(OBJDIR)/prparserparse.o\
	$(OBJDIR)/acfileio.o\
	$(OBJDIR)/adfile.o\
	$(OBJDIR)/adisasm.o\
	$(OBJDIR)/adwalk.o\
	$(OBJDIR)/ahids.o\
	$(OBJDIR)/ahpredef.o\
	$(OBJDIR)/ahtable.o\
	$(OBJDIR)/ahuuids.o\
	$(OBJDIR)/aslallocate.o\
	$(OBJDIR)/aslanalyze.o\
	$(OBJDIR)/aslascii.o\
	$(OBJDIR)/aslbtypes.o\
	$(OBJDIR)/aslcache.o\
	$(OBJDIR)/aslcodegen.o\
	$(OBJDIR)/aslcompile.o\
	$(OBJDIR)/asldebug.o\
	$(OBJDIR)/aslerror.o\
	$(OBJDIR)/aslexternal.o\
	$(OBJDIR)/aslfiles.o\
	$(OBJDIR)/aslfileio.o\
	$(OBJDIR)/aslfold.o\
	$(OBJDIR)/aslhelp.o\
	$(OBJDIR)/aslhex.o\
	$(OBJDIR)/asllength.o\
	$(OBJDIR)/asllisting.o\
	$(OBJDIR)/asllistsup.o\
	$(OBJDIR)/aslload.o\
	$(OBJDIR)/asllookup.o\
	$(OBJDIR)/aslmain.o\
	$(OBJDIR)/aslmap.o\
	$(OBJDIR)/aslmapenter.o\
	$(OBJDIR)/aslmapoutput.o\
	$(OBJDIR)/aslmaputils.o\
	$(OBJDIR)/aslmessages.o\
	$(OBJDIR)/aslmethod.o\
	$(OBJDIR)/aslnamesp.o\
	$(OBJDIR)/asloffset.o\
	$(OBJDIR)/aslopcodes.o\
	$(OBJDIR)/asloperands.o\
	$(OBJDIR)/aslopt.o\
	$(OBJDIR)/asloptions.o\
	$(OBJDIR)/aslparseop.o\
	$(OBJDIR)/aslpredef.o\
	$(OBJDIR)/aslprepkg.o\
	$(OBJDIR)/aslprintf.o\
	$(OBJDIR)/aslprune.o\
	$(OBJDIR)/aslresource.o\
	$(OBJDIR)/aslrestype1.o\
	$(OBJDIR)/aslrestype1i.o\
	$(OBJDIR)/aslrestype2.o\
	$(OBJDIR)/aslrestype2d.o\
	$(OBJDIR)/aslrestype2e.o\
	$(OBJDIR)/aslrestype2q.o\
	$(OBJDIR)/aslrestype2s.o\
	$(OBJDIR)/aslrestype2w.o\
	$(OBJDIR)/aslstartup.o\
	$(OBJDIR)/aslstubs.o\
	$(OBJDIR)/aslpld.o\
	$(OBJDIR)/asltransform.o\
	$(OBJDIR)/asltree.o\
	$(OBJDIR)/aslutils.o\
	$(OBJDIR)/asluuid.o\
	$(OBJDIR)/aslwalks.o\
	$(OBJDIR)/aslxref.o\
	$(OBJDIR)/aslxrefout.o\
	$(OBJDIR)/cvcompiler.o\
	$(OBJDIR)/cvdisasm.o\
	$(OBJDIR)/cvparser.o\
	$(OBJDIR)/cmfsize.o\
	$(OBJDIR)/dbfileio.o\
	$(OBJDIR)/dmbuffer.o\
	$(OBJDIR)/dmcstyle.o\
	$(OBJDIR)/dmdeferred.o\
	$(OBJDIR)/dmextern.o\
	$(OBJDIR)/dmnames.o\
	$(OBJDIR)/dmopcode.o\
	$(OBJDIR)/dmresrc.o\
	$(OBJDIR)/dmresrcl.o\
	$(OBJDIR)/dmresrcl2.o\
	$(OBJDIR)/dmresrcs.o\
	$(OBJDIR)/dmrestag.o\
	$(OBJDIR)/dmswitch.o\
	$(OBJDIR)/dmtable.o\
	$(OBJDIR)/dmtables.o\
	$(OBJDIR)/dmtbdump.o\
	$(OBJDIR)/dmtbinfo.o\
	$(OBJDIR)/dmutils.o\
	$(OBJDIR)/dmwalk.o\
	$(OBJDIR)/dsargs.o\
	$(OBJDIR)/dscontrol.o\
	$(OBJDIR)/dsfield.o\
	$(OBJDIR)/dsobject.o\
	$(OBJDIR)/dsopcode.o\
	$(OBJDIR)/dspkginit.o\
	$(OBJDIR)/dsutils.o\
	$(OBJDIR)/dswexec.o\
	$(OBJDIR)/dswload.o\
	$(OBJDIR)/dswload2.o\
	$(OBJDIR)/dswscope.o\
	$(OBJDIR)/dswstate.o\
	$(OBJDIR)/dtcompile.o\
	$(OBJDIR)/dtexpress.o\
	$(OBJDIR)/dtfield.o\
	$(OBJDIR)/dtio.o\
	$(OBJDIR)/dtsubtable.o\
	$(OBJDIR)/dttable.o\
	$(OBJDIR)/dttable1.o\
	$(OBJDIR)/dttable2.o\
	$(OBJDIR)/dttemplate.o\
	$(OBJDIR)/dtutils.o\
	$(OBJDIR)/exconcat.o\
	$(OBJDIR)/exconvrt.o\
	$(OBJDIR)/excreate.o\
	$(OBJDIR)/exdump.o\
	$(OBJDIR)/exmisc.o\
	$(OBJDIR)/exmutex.o\
	$(OBJDIR)/exnames.o\
	$(OBJDIR)/exoparg1.o\
	$(OBJDIR)/exoparg2.o\
	$(OBJDIR)/exoparg3.o\
	$(OBJDIR)/exoparg6.o\
	$(OBJDIR)/exprep.o\
	$(OBJDIR)/exregion.o\
	$(OBJDIR)/exresnte.o\
	$(OBJDIR)/exresolv.o\
	$(OBJDIR)/exresop.o\
	$(OBJDIR)/exstore.o\
	$(OBJDIR)/exstoren.o\
	$(OBJDIR)/exstorob.o\
	$(OBJDIR)/exsystem.o\
	$(OBJDIR)/exutils.o\
	$(OBJDIR)/getopt.o\
	$(OBJDIR)/nsaccess.o\
	$(OBJDIR)/nsalloc.o\
	$(OBJDIR)/nsdump.o\
	$(OBJDIR)/nsnames.o\
	$(OBJDIR)/nsobject.o\
	$(OBJDIR)/nsparse.o\
	$(OBJDIR)/nssearch.o\
	$(OBJDIR)/nsutils.o\
	$(OBJDIR)/nswalk.o\
	$(OBJDIR)/nsxfobj.o\
	$(OBJDIR)/osunixxf.o\
	$(OBJDIR)/prexpress.o\
	$(OBJDIR)/prmacros.o\
	$(OBJDIR)/prscan.o\
	$(OBJDIR)/prutils.o\
	$(OBJDIR)/psargs.o\
	$(OBJDIR)/psloop.o\
	$(OBJDIR)/psobject.o\
	$(OBJDIR)/psopcode.o\
	$(OBJDIR)/psopinfo.o\
	$(OBJDIR)/psparse.o\
	$(OBJDIR)/psscope.o\
	$(OBJDIR)/pstree.o\
	$(OBJDIR)/psutils.o\
	$(OBJDIR)/pswalk.o\
	$(OBJDIR)/tbdata.o\
	$(OBJDIR)/tbfadt.o\
	$(OBJDIR)/tbinstal.o\
	$(OBJDIR)/tbprint.o\
	$(OBJDIR)/tbutils.o\
	$(OBJDIR)/tbxface.o\
	$(OBJDIR)/tbxfload.o\
	$(OBJDIR)/utaddress.o\
	$(OBJDIR)/utalloc.o\
	$(OBJDIR)/utascii.o\
	$(OBJDIR)/utbuffer.o\
	$(OBJDIR)/utcache.o\
	$(OBJDIR)/utcopy.o\
	$(OBJDIR)/utdebug.o\
	$(OBJDIR)/utdecode.o\
	$(OBJDIR)/utdelete.o\
	$(OBJDIR)/uterror.o\
	$(OBJDIR)/utexcep.o\
	$(OBJDIR)/utglobal.o\
	$(OBJDIR)/uthex.o\
	$(OBJDIR)/utinit.o\
	$(OBJDIR)/utlock.o\
	$(OBJDIR)/utmath.o\
	$(OBJDIR)/utmisc.o\
	$(OBJDIR)/utmutex.o\
	$(OBJDIR)/utnonansi.o\
	$(OBJDIR)/utobject.o\
	$(OBJDIR)/utownerid.o\
	$(OBJDIR)/utpredef.o\
	$(OBJDIR)/utresdecode.o\
	$(OBJDIR)/utresrc.o\
	$(OBJDIR)/utstate.o\
	$(OBJDIR)/utstrtoul64.o\
	$(OBJDIR)/utstrsuppt.o\
	$(OBJDIR)/utstring.o\
	$(OBJDIR)/utuuid.o\
	$(OBJDIR)/utxface.o\
	$(OBJDIR)/utxferror.o

INTERMEDIATES = \
	$(OBJDIR)/aslcompiler.y\
	$(OBJDIR)/aslcompilerlex.c\
	$(OBJDIR)/aslcompilerparse.c\
	$(OBJDIR)/dtparserlex.c\
	$(OBJDIR)/dtparserparse.c\
	$(OBJDIR)/prparserlex.c\
	$(OBJDIR)/prparserparse.c

MISC = \
	$(OBJDIR)/aslcompiler.y.h\
	$(OBJDIR)/dtparser.y.h\
	$(OBJDIR)/prparser.y.h

ASL_PARSER = \
	$(ASL_COMPILER)/aslcstyle.y\
	$(ASL_COMPILER)/aslhelpers.y\
	$(ASL_COMPILER)/aslparser.y\
	$(ASL_COMPILER)/aslprimaries.y\
	$(ASL_COMPILER)/aslresources.y\
	$(ASL_COMPILER)/aslrules.y\
	$(ASL_COMPILER)/aslsupport.y\
	$(ASL_COMPILER)/asltokens.y\
	$(ASL_COMPILER)/asltypes.y

ASL_LEXER = \
	$(ASL_COMPILER)/aslcompiler.l\
	$(ASL_COMPILER)/aslsupport.l\
	$(OBJDIR)/aslcompiler.y.h


#
# Flags specific to iASL compiler
#
CFLAGS += \
    -DACPI_ASL_COMPILER\
    -I$(ASL_COMPILER)\
    -I$(OBJDIR)

#
# Common Rules
#
include ../Makefile.rules

#
# Function to safely execute yacc:
# Generate the output files to a temporary directory,
# move the file to $(OBJDIR), and discard the directory.
#
safe_yacc = \
	_d=`mktemp -d $(OBJDIR)/$(1).XXXXXX` &&\
	cd $$_d &&\
	$(YACC) $(YFLAGS) -v -d -p$(1) $(abspath $(2)) &&\
	cd - > /dev/null;\
	mv $$_d/y.tab$(suffix $(3)) $(3);\
	_r=$$?;\
	rm -fr $$_d;\
	exit $$_r

#
# Macro processing for iASL .y files
#
$(OBJDIR)/aslcompiler.y :      $(ASL_PARSER)
	@echo "- " $(MACROPROC) "          Preprocess main iASL parser"
	@$(MACROPROC) $(MFLAGS) $(ASL_COMPILER)/aslparser.y > $@

#
# Parser and Lexer - intermediate C files
#
$(OBJDIR)/aslcompilerlex.c :   $(ASL_LEXER)
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(LFLAGS) -PAslCompiler -o$@ $(ASL_COMPILER)/aslcompiler.l

$(OBJDIR)/aslcompilerparse.c $(OBJDIR)/aslcompiler.y.h : $(OBJDIR)/aslcompiler.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,AslCompiler,$<,$@)

$(OBJDIR)/dtparserlex.c :      $(ASL_COMPILER)/dtparser.l $(OBJDIR)/dtparser.y.h
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(LFLAGS) -PDtParser -o$@ $<

$(OBJDIR)/dtparserparse.c $(OBJDIR)/dtparser.y.h :       $(ASL_COMPILER)/dtparser.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,DtParser,$<,$@)

$(OBJDIR)/prparserlex.c :      $(ASL_COMPILER)/prparser.l $(OBJDIR)/prparser.y.h
	@echo "- " $(LEX) "        "$<
	@$(LEX) $(LFLAGS) -PPrParser -o$@ $<

$(OBJDIR)/prparserparse.c $(OBJDIR)/prparser.y.h :       $(ASL_COMPILER)/prparser.y
	@echo "- " $(YACC) "       "$<
	@$(call safe_yacc,PrParser,$<,$@)

#
# Parsers and Lexers - final object files
#
# Cannot use the common compile warning flags since the C files are created
# by the utilities above and they are not necessarily ANSI C, etc.
#
$(OBJDIR)/aslcompilerlex.o :   $(OBJDIR)/aslcompilerlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/aslcompilerparse.o : $(OBJDIR)/aslcompilerparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/dtparserlex.o :      $(OBJDIR)/dtparserlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/dtparserparse.o :    $(OBJDIR)/dtparserparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/prparserlex.o :      $(OBJDIR)/prparserlex.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

$(OBJDIR)/prparserparse.o :    $(OBJDIR)/prparserparse.c
	@echo "- " "Intermediate" $<
	@$(CC) -c $(CFLAGS) -Wall -Werror -o$@ $<

=== tests/aslts/src/runtime/collections/Identity2MS/abbu/Makefile ===
# abbu

ASLMODADD=	MAIN_ASLTS
AMLMOD= extra extra_aslts
COLL= ../..

ADD_ASLFLAGS=-vx 6152
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/exceptions/exc/Makefile ===
# exc

AMLMOD= exc
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/control/Makefile ===
# control

AMLMOD= control
COLL= ../..

ADD_ASLFLAGS=-vx 6152
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/region/Makefile ===
# region

AMLMOD= region
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemo/Makefile ===
# bdemo

AMLMOD= bdemo
COLL= ../../..

ADD_ASLFLAGS=-vx 6152
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemof/Makefile ===
# bdemof

AMLMOD= bdemof
COLL= ../../..

ADD_ASLFLAGS=-f
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/olocal/Makefile ===
# olocal

AMLMOD= olocal
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/oreftopackageel/Makefile ===
# oreftopackageel

AMLMOD= oreftopackageel
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20180105-1) unstable; urgency=medium

  * Upgrade to 20180105 upstream.
  * Refresh patches as needed.
  * Closes: #877547 -- added LC_TIME=C to debian/rules
  * Closes: #882292 -- test failues on mips (32,BE); used provided patch
    (thanks, James!)

 -- Al Stone <ahs3@debian.org>  Mon, 08 Jan 2018 13:48:36 -0700

acpica-unix (20171110-1) unstable; urgency=medium

  * Upgrade to 20171110 upstream.
  * Refresh patches as needed.
  * Closes: #877353 -- fix FTBS on mips64el

 -- Al Stone <ahs3@debian.org>  Mon, 20 Nov 2017 16:04:14 -0700

acpica-unix (20170929-2) unstable; urgency=medium

  * Added correction patch for big-endian systems only

 -- Al Stone <ahs3@debian.org>  Tue, 17 Oct 2017 15:37:30 -0600

acpica-unix (20170929-1) unstable; urgency=medium

  * Upgrade to 20170929 upstream.
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Fri, 06 Oct 2017 17:19:27 -0600

acpica-unix (20170831-1) unstable; urgency=medium

  * Upgrade to 20170831 upstream.
  * Refresh patches as needed.
  * Update to Standards-Version: 4.1.0

 -- Al Stone <ahs3@debian.org>  Thu, 07 Sep 2017 17:20:22 -0600

acpica-unix (20170728-1) unstable; urgency=medium

  * Upgrade to 20170728 upstream.
  * Repair all the big-endian issues (hopefully)
  * Consolidate and clean-up the patch set (reorganized, simplified,
    and got rid of some leftovers)

 -- Al Stone <ahs3@debian.org>  Fri, 18 Aug 2017 18:51:23 -0600

acpica-unix (20170303-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Tue, 04 Apr 2017 12:06:55 -0600

acpica-unix (20160930-1) unstable; urgency=medium

  * Upgrade to latest upstream. 
  * Refresh patches as needed.

 -- Al Stone <ahs3@debian.org>  Tue, 04 Oct 2016 16:41:11 -0600

=== debian/control ===
Source: acpica-unix
Section: devel
Priority: optional
Maintainer: Mattia Dongili <malattia@debian.org>
Uploaders: Al Stone <ahs3@debian.org>
Build-Depends: debhelper (>= 9.0), flex, bison
Standards-Version: 4.1.3
Vcs-Git: https://github.com/ahs3/acpica-tools.git
Vcs-Browser: https://github.com/ahs3/acpica-tools
Homepage: http://www.acpica.org

Package: acpica-tools
Architecture: any
Replaces: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Breaks: iasl (<< 20130214-0.1), acpidump (<< 20100513-4)
Provides: iasl, acpidump
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACPICA tools for the development and debug of ACPI tables
 The ACPI Component Architecture (ACPICA) project provides an OS-independent
 reference implementation of the Advanced Configuration and Power Interface
 Specification (ACPI).  ACPICA code contains those portions of ACPI meant to
 be directly integrated into the host OS as a kernel-resident subsystem, and
 a small set of tools to assist in developing and debugging ACPI tables.
 .
 This package contains only the user-space tools needed for ACPI table
 development, not the kernel implementation of ACPI.  The following commands
 are installed:
    -- iasl: compiles ASL (ACPI Source Language) into AML (ACPI Machine
       Language), suitable for inclusion as a DSDT in system firmware.
       It also can disassemble AML, for debugging purposes.
    -- acpibin: performs basic operations on binary AML files (e.g.,
       comparison, data extraction)
    -- acpidump: write out the current contents of ACPI tables
    -- acpiexec: simulate AML execution in order to debug method definitions
    -- acpihelp: display help messages describing ASL keywords and op-codes
    -- acpinames: display complete ACPI name space from input AML
    -- acpisrc: manipulate the ACPICA source tree and format source files
       for specific environments
    -- acpixtract: extract binary ACPI tables from acpidump output (see
       also the pmtools package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export LC_TIME=C

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -Wall -fno-strict-aliasing

DESTDIR ?= debian/acpica-tools

VERSION = 20180105

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif


%:
	dh $@

override_dh_clean:
	dh_testdir
	dh_testroot

	# Commands to clean up after the build process.
	$(MAKE) clean
	rm -rf generate/unix/bin
	dh_clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Commands to install the package into debian/acpica-tools
	install -m 755 generate/unix/bin/iasl $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpibin $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpidump \
		       $(DESTDIR)/usr/bin/acpidump-acpica
	install -m 755 generate/unix/bin/acpiexec $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpihelp $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpinames $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpisrc $(DESTDIR)/usr/bin
	install -m 755 generate/unix/bin/acpixtract \
	               $(DESTDIR)/usr/bin/acpixtract-acpica

	install -m 0644 debian/iasl.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpidump.1 \
			$(DESTDIR)/usr/share/man/man1/acpidump-acpica.1
	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpinames.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpisrc.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 debian/acpixtract.1 \
	                $(DESTDIR)/usr/share/man/man1/acpixtract-acpica.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C $(CURDIR) check CC=$(CC) OPT_CFLAGS="$(CFLAGS)"
endif

override_dh_auto_build:
	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)

## acpica-unix 20180629

=== debian/changelog ===
acpica-unix (20180629-1) unstable; urgency=medium

  * Upgrade to 20180629 upstream
  * Refresh patches as needed
  * Add patch to aslcodegen.c to repair a little-endian change that breaks
    an existing big-endian change.  Closes: #902203
  * Reportedly, this upstream version has a repair for vbox.  Closes: #899318
  * Patch applied.  Closes: #886753.
  * Closes: #867381.  Update-alternatives has been working properly for
    quite some time now, so no changes are needed.

 -- Al Stone <ahs3@debian.org>  Sun, 08 Jul 2018 17:19:35 -0600

acpica-unix (20180531-1) unstable; urgency=medium

  * Upgrade to 20180531 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Thu, 21 Jun 2018 17:41:40 -0600

acpica-unix (20180508-1) unstable; urgency=medium

  * Upgrade to 20180508 upstream
  * Refresh patches as needed
  * Update Standards-Version to 4.1.4
  * Closes: #886753 -- bump debhelper compat to 10 the fix FTCBFS
    (thanks, Helmut!)

 -- Al Stone <ahs3@debian.org>  Tue, 15 May 2018 09:44:07 -0600

acpica-unix (20180427-1) unstable; urgency=medium

  * Upgrade to 20180427 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Mon, 14 May 2018 14:37:28 -0600

acpica-unix (20180313-1) unstable; urgency=medium

  * Upgrade to 20180313 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Sat, 12 May 2018 20:24:19 -0600

acpica-unix (20180209-1) unstable; urgency=medium

  * Upgrade to 20180209 upstream
  * Refresh patches as needed
  * CVE-2017-13693: operand cache leak in dsutils.c (patch from github
    applied)
  * CVE-2017-13694: acpi parse and parseext cache leak in psobjects.c 
    (patch from github applied)
  * CVE-2017-13695: operand cache leak in nseval.c (patch from github
    applied)
  * NOTE: all CVE patches are for acpica-tools ONLY; the kernel must be
    patched separately.
  * Clean up compiler warnings on some arches for string truncations
  * Clean up compiler warnings for pointer casting on other arches
  * Clean up lintian warning about update-alternatives

 -- Al Stone <ahs3@debian.org>  Fri, 16 Mar 2018 14:43:32 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
-Build-Depends: debhelper (>= 9.0), flex, bison
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10~), flex, bison
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/ahs3/acpica-tools.git
 Vcs-Browser: https://github.com/ahs3/acpica-tools
 Homepage: http://www.acpica.org

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180105
+VERSION = 20180629
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -75,3 +75,6 @@
 
 override_dh_auto_build:
 	dh_auto_build -- OPT_CFLAGS="$(CFLAGS)" CC=$(CC)
+
+override_dh_auto_install:
+	dh_auto_install -- INSTALL='install --strip-program=true'

## acpica-unix 20180810

=== debian/changelog ===
acpica-unix (20180810-1) unstable; urgency=medium

  * Upgrade to 20180629 upstream
  * Refresh patches as needed
  * Add manpage for acpiexamples

 -- Al Stone <ahs3@debian.org>  Sat, 15 Sep 2018 17:23:11 -0600

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180629
+VERSION = 20180810
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -61,6 +61,7 @@
 	install -m 0644 debian/acpibin.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpidump.1 \
 			$(DESTDIR)/usr/share/man/man1/acpidump-acpica.1
+	install -m 0644 debian/acpiexamples.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpiexec.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpihelp.1 $(DESTDIR)/usr/share/man/man1
 	install -m 0644 debian/acpinames.1 $(DESTDIR)/usr/share/man/man1

## acpica-unix 20181003

=== debian/changelog ===
acpica-unix (20181003-1) unstable; urgency=medium

  * Upgrade to 20181003 upstream
  * Refresh patches as needed
  * Fix use of update alternative to point at compressed man pages.
    Closes: #909430

 -- Al Stone <ahs3@debian.org>  Wed, 24 Oct 2018 16:01:02 -0600

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20180810
+VERSION = 20181003
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20181213

=== tests/aslts/src/runtime/collections/functional/bfield/Makefile ===
# bfield

AMLMOD= bfield
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/synchronization/Makefile ===
# synchronization

AMLMOD= synchronization
COLL= ../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/bdemo/Makefile ===
# bdemo

AMLMOD= bdemo
COLL= ../../..

ADD_ASLFLAGS=-vx 6142 #illegal forward reference
ADD_ASLFLAGS+=-vx 6152 #recursive method call

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/oarg/Makefile ===
# oarg

AMLMOD= oarg
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/tests/rcopyobject/Makefile ===
# rcopyobject

AMLMOD= rcopyobject
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/result/tests/roptional/Makefile ===
# roptional

AMLMOD= roptional
COLL= ../../../..

TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20181213-1) unstable; urgency=medium

  * Upgrade to 20181213 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Thu, 13 Dec 2018 17:26:26 -0700

acpica-unix (20181031-1) unstable; urgency=medium

  * Upgrade to 20181031 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Thu, 13 Dec 2018 17:02:48 -0700

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20181003
+VERSION = 20181213
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20190509

=== tests/aslts/src/runtime/collections/bdemo/ACPICA/Makefile ===
# bdemo

MDIRS= bdemo bdemof

TOP= ../../../../..
include $(TOP)/Makefile.switch

=== tests/aslts/src/runtime/collections/complex/misc/Makefile ===
# misc

AMLMOD= misc
COLL= ../..
ADD_ASLFLAGS+=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/functional/control/Makefile ===
# control

AMLMOD= control
COLL= ../..

ADD_ASLFLAGS=-vx 6152 -vx 6163
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== tests/aslts/src/runtime/collections/complex/operand/tests/olocal/Makefile ===
# olocal

AMLMOD= olocal
COLL= ../../../..

ADD_ASLFLAGS=-vx 6163 #illegal reference in method
TOP= $(COLL)/../../..
include $(COLL)/Makefile.install

=== debian/changelog ===
acpica-unix (20190509-1) unstable; urgency=medium

  * Upgrade to 20190509 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Sat, 11 May 2019 16:58:48 -0600

acpica-unix (20190405-1) unstable; urgency=medium

  * Upgrade to 20190405 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 18:07:29 -0600

acpica-unix (20190329-1) unstable; urgency=medium

  * Upgrade to 20190329 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 16:39:58 -0600

acpica-unix (20190215-1) unstable; urgency=medium

  * Upgrade to 20190215 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 15:05:39 -0600

acpica-unix (20190108-1) unstable; urgency=medium

  * Upgrade to 20190108 upstream
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Fri, 10 May 2019 14:29:15 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Mattia Dongili <malattia@debian.org>
 Uploaders: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 10~), flex, bison
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Git: https://github.com/ahs3/acpica-tools.git
 Vcs-Browser: https://github.com/ahs3/acpica-tools
 Homepage: http://www.acpica.org

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20181213
+VERSION = 20190509
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## acpica-unix 20200214

=== debian/changelog ===
acpica-unix (20200214-2) unstable; urgency=medium

  * Add patch for FACP defaults 
  * Add patches to accommodate future use of -fno-common by default
  * Add patches to work better with GCC being stricter about the use
    of strings and expecting null terminators
  * Add patch to properly allow a PCC Register() type
  * Closes: #886753 -- bumping debhelper compat to 10 did not fix the
    FTCBFS, so apply the patch provided so that strip is not done
    during make install (thanks, Helmut!)

 -- Al Stone <ahs3@debian.org>  Tue, 25 Feb 2020 19:23:36 -0700

acpica-unix (20200214-1) unstable; urgency=medium

  * Upgrade to 20200214 upstream 
  * Refresh patches as needed

 -- Al Stone <ahs3@debian.org>  Tue, 18 Feb 2020 20:34:25 -0700

acpica-unix (20200110-1) unstable; urgency=medium

  * Upgrade to 20200110 upstream
  * Refresh patches as needed
  * Remove one patch already pulled in by upstream

 -- Al Stone <ahs3@debian.org>  Sat, 01 Feb 2020 17:17:41 -0700

acpica-unix (20191018-1) unstable; urgency=medium

  * Upgrade to 20191018 upstream
  * Refresh patches as needed
  * Broke out some patches that tend to be more fragile than others

 -- Al Stone <ahs3@debian.org>  Sat, 23 Nov 2019 12:12:21 -0700

acpica-unix (20190816-1) UNRELEASED; urgency=medium

  * Upgrade to 20190816 upstream
  * Refresh patches as needed
  * Add patch to fix incorrect exit from iasl
  * The template tests have since been subsumed by aslts.sh, so remove
    them as an independent test

 -- Al Stone <ahs3@debian.org>  Sat, 26 Oct 2019 17:09:09 -0600

acpica-unix (20190703-1) unstable; urgency=medium

  * Upgrade to 20190703 upstream
  * Refresh patches as needed
  * Update to latest Standards version
  * Closes: #933154 -- adopt the package from retired maintainer
  * Closes: #841238 -- the turbostat command has been moved to the
    linux-cpupower package; please install that package to get that
    command installed
  * Closes: #909340 -- the postinst scripts were fixed some time ago
    but this bug was not closed at that time, so close it now

 -- Al Stone <ahs3@debian.org>  Wed, 23 Oct 2019 19:27:11 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: acpica-unix
 Section: devel
 Priority: optional
-Maintainer: Mattia Dongili <malattia@debian.org>
-Uploaders: Al Stone <ahs3@debian.org>
+Maintainer: Al Stone <ahs3@debian.org>
 Build-Depends: debhelper (>= 10~), flex, bison
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Git: https://github.com/ahs3/acpica-tools.git
 Vcs-Browser: https://github.com/ahs3/acpica-tools
 Homepage: http://www.acpica.org

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 DESTDIR ?= debian/acpica-tools
 
-VERSION = 20190509
+VERSION = 20200214
 
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
